Bug 1309479 - Review Request: nodejs-left-pad - String left pad
Review Request: nodejs-left-pad - String left pad
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
Depends On:
Blocks: nodejs-reviews Node-RED 1364216
  Show dependency treegraph
Reported: 2016-02-17 17:53 EST by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-04 19:56:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2016-02-17 17:53:15 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-left-pad/nodejs-left-pad.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-left-pad/nodejs-left-pad-0.0.4-1.fc24.src.rpm
Description: String left pad
Fedora Account System Username: jsmith
Comment 1 Tom Hughes 2016-02-18 14:20:24 EST
This is missing a BR on tape.
Comment 3 Tom Hughes 2016-02-18 16:28:59 EST
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "WTFPL", "Unknown or generated". 3 files have unknown license.
     Detailed output of licensecheck in /home/tom/1309479-nodejs-left-
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: nodejs-left-pad-0.0.4-2.fc24.noarch.rpm
nodejs-left-pad.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
sh: /usr/bin/python: No such file or directory
nodejs-left-pad.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

nodejs-left-pad (rpmlib, GLIBC filtered):


Source checksums
http://www.wtfpl.net/txt/copying :
  CHECKSUM(SHA256) this package     : 0356258391e190dc1d44ea01565cfe627fe44e27dad693a0a54c2483a7b223e5
  CHECKSUM(SHA256) upstream package : 0356258391e190dc1d44ea01565cfe627fe44e27dad693a0a54c2483a7b223e5
https://registry.npmjs.org/left-pad/-/left-pad-0.0.4.tgz :
  CHECKSUM(SHA256) this package     : 45b9eaf19c469d2aa66ca3671bdbe7dc70365c6e7167a80dad800402bab573ec
  CHECKSUM(SHA256) upstream package : 45b9eaf19c469d2aa66ca3671bdbe7dc70365c6e7167a80dad800402bab573ec
https://raw.githubusercontent.com/azer/left-pad/master/test.js :
  CHECKSUM(SHA256) this package     : 0f8fdf093967ca3040a2f37ac24e42a9b3f77f34abaeac8574c4109a0b34f7e7
  CHECKSUM(SHA256) upstream package : 0f8fdf093967ca3040a2f37ac24e42a9b3f77f34abaeac8574c4109a0b34f7e7

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1309479
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Comment 4 Tom Hughes 2016-02-18 16:29:35 EST
You can leave test.js out but other than that it looks fine.
Comment 5 Gwyn Ciesla 2016-08-04 09:20:40 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-left-pad
Comment 6 Jared Smith 2016-08-04 19:56:11 EDT
In rawhide, closing bug
Comment 7 Jared Smith 2016-08-05 19:06:16 EDT
*** Bug 1364215 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.